# Publication des études de veille 2025-2028
[[_TOC_]]

# Les veilles du marché de support logiciel libre

L'objet de ce projet est de permettre la publication des études
de veille réalisées dans le cadre du marché de support logiciel
libre au bénéfice de l'administration française et piloté par la
DGFiP. Cette publication est opérée dans le cadre de ses missions
de service public.

Les études réalisées sur des sujets proposés par les
administrations peuvent être de nature stratégique avec comme
objectif de déterminer le niveau de maturité de l'offre en
logiciels libres sur un domaine fonctionnel précis, tandis que
les veilles plus techniques vont comparer point à point au moyen
d’une grille fonctionnelle les logiciels existants du domaine.

Au final Les conclusions d’une veille sont susceptibles de
motiver l’inclusion d'un logiciel dans le périmètre du marché de
support interministériel.

Chaque étude se présente sous la forme d'un
document au format bureautique ODT sous licence creative commons
[Attribution - Partage dans les Mêmes Conditions 2.0 France (CC
BY-SA 2.0 FR)](https://creativecommons.org/licenses/by-sa/2.0/fr/)


# Résumés et rapports de veille

## Performance des applications

La surveillance des performances des applications (APM Application
performance management) est une discipline consistant à s'assurer du
niveau de service des applications, particulièrement des applications
en ligne qui mobilisent un grand nombre de systèmes.

Le secteur technologique de l’APM Opensource est actuellement plutôt
dynamique, avec Apache Skywalking, Jaeger, OpenTelemetry, Pinpoint,
Prometheus, SigNoz et ZipKin. Si toutes ces solutions ne couvrent pas
totalement le besoin, des combinaisons au prix d'une certaine
complexité permettent d'atteindre une couverture substantielle du
besoin :
-  OpenTelemetry (agents et collecteur) + SigNoz (stockage, alerting,
   visualisation)
-  OpenTelemetry (agents et collecteur) + Prometheus (agents, stockage
	et alerting) + SigNoz (visualisation).

S'il s'agit de mettre une solution d'APM pour une seule application,
la solution toute en un Apache Skywalking fera très bien l’affaire
sans avoir à entrer dans une démarche de projet APM trop lourde.

- [04-Performance_des_applications.odt](https://gitlab.adullact.net/marche-sll/etudes-de-veille-2025-2028/-/package_files/1225/download)
- [04-Performance_des_applications.ods](https://gitlab.adullact.net/marche-sll/etudes-de-veille-2025-2028/-/package_files/1226/download)

## Bastions de sécurité

Un bastion informatique est un élément de réseau interne dont on
souhaite contrôler strictement l'accès. Plus précisément il s'agit de :
- Centraliser et contrôler les accès des administrateurs système aux
infrastructures critiques (SSH, RDP, Kubernetes, bases de données). 
- De superviser et visualiser les sessions en temps réel,
- D'enregistrer les sessions et de les intégrer dans des outils de
SIEM (Security information and event management) pour audit. 

La simplicité et l'interopérabilité avec les annuaires LDAP, MFA
(Multi Factor Authentification) et les outils DevOps (Vault,
Terraform) constituent aussi une attente forte.

Globalement le meilleur choix est Teleport et HashiCorp Boundary, deux
solutions modernes et robustes offrant une sécurisation avancée des
accès grâce à l’authentification par certificats et au principe « Zero
Trust » qui consiste à vérifier systématiquement chaque accès sans
accorder de confiance implicite. Cependant, les fonctions avancées
nécessitent une licence entreprise, ce qui peut représenter un coût
certain.

Apache Guacamole constitue une alternative plus économique, car
entièrement open source et accessible via navigateur web, mais elle
est plus complexe à déployer

- [03-Bastions_de_securite.odt](https://gitlab.adullact.net/marche-sll/etudes-de-veille-2025-2028/-/package_files/1223/download)
- [03-Bastions_de_securite.ods](https://gitlab.adullact.net/marche-sll/etudes-de-veille-2025-2028/-/package_files/1224/download)

## Poste de travail Windows et handicap

Avec l'arrivée de Windows 11 en remplacement de Windows 10 dont la
fin du support est annoncée pour octobre 2025, les fonctionnalités
d'accessibilité ont été sensiblement améliorées et apparaissent
nativement de bonne qualité en répondant à de nombreux besoins.

Si un accès temporaire à internet est nécessaire afin de
télécharger certains fichiers propres à chaque langue, les
fonctionnalités de synthèse et de reconnaissance vocale n'ont
ensuite pas besoin d'une connexion internet.

Cependant, le fonctionnement des technologies d’assistance ne se
limite pas au niveau du système d’exploitation, et concerne toute
la chaîne applicative : leur disponibilité au niveau du système
n’emporte pas nécessairement leur fonctionnement au sein des
diverses applications utilisées. Ainsi si les applications les
plus communes et utilisées bénéficient d’un bon niveau de support,
ce n’est pas le cas de logiciels moins courants, pour lesquels
aucune attention particulière n’a été apportée par les éditeurs de
ces solutions.

En particulier, si l’accessibilité des navigateurs web est
globalement satisfaisante, c’est très loin d’être le cas pour les
applications et contenus accédés via ces navigateurs.

- [02-Poste_Windows_handicap-pub.odt](https://gitlab.adullact.net/marche-sll/etudes-de-veille-2025-2028/-/package_files/1220/download)

## Virtualisation poste travail

La virtualisation du poste de travail consiste à donner un accès
distant sécurisé à un environnement de travail hébergé dans le
SI. Plusieurs solutions open source existent.

Si Guacamole est une solution trop légère pour les usages intensifs
(il peut être utilisé pour des accès légers via un navigateur y
compris pour des Clusters VMWare), Xen, Qemu/Kvm, oVirt et Proxmox VE
permettent de faire de la virtualisation intégrant l'accès à un bureau
graphique distant.

Parmi ces solutions deux se détachent, Proxmox VE et oVirt.

**Proxmox VE** se distingue par sa simplicité d'installation et la
qualité de son interface de gestion. Il est indiqué pour des clusters
jusqu'à plus de 50 nœuds, il devient délicat pour des clusters plus
larges et c'est l'inconnue pour des clusters massifs (plusieurs
centaines de nœuds), en outre, bien que ça soit annoncé, il ne sait
pas encore gérer les clusters multi-datacentres. Il est porté par un
éditeur allemand et une communauté européenne importante. C'est donc
une option intéressante du point de vue souveraineté/ indépendance
technologique.

**Ovirt** se distingue par son aptitude à gérer de très hautes
volumétries et les clusters multi-datacentres. Difficile à installer
et à mettre en œuvre, sa documentation technique est complexe et
posera des difficultés à des techniciens non aguerris. En outre son
attachement à l'univers Red Hat crée un risque d'autant que l'on sent
un désengagement de Red Hat sur les questions de virtualisation au
profit de la conteneurisation.

- [01-Virtualisation_poste_travail.odt](https://gitlab.adullact.net/marche-sll/etudes-de-veille-2025-2028/-/package_files/1218/download)

